[BETA] Get all signals that match the query parameter criteria.

View as Markdown

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Returns a list of all signals that match the query parameter criteria.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

fromstringOptionalformat: "^(IS):\d{4}-\d{2}-\d{2}$"

The starting date of the creation date range in IS:yyyy-MM-dd format

tostringOptionalformat: "^(IS):\d{4}-\d{2}-\d{2}$"

The ending date of the creation date range in IS:yyyy-MM-dd format

offsetstringOptionalDefaults to 0
The number of features to skip when returning a page. By default it is set to 0.
limitstringOptionalDefaults to 50
The number of feature environments to return in a page. By default it is set to 50. The maximum is 1000.

Response

#/components/schemas/signalQueryResponseSchema

signalslist of objects
The list of signals
totalinteger>=0
The total count of signals

Errors